Generate time-limited links for object storage

Create secure, time-limited download or upload links for specific files in your object storage. You need to provide the file's 'key' obtained from the GET /api/object-storage/buckets/{name}/objects endpoint, and the action you want to perform ('download' or 'upload').

Object Storage Buckets

Context

Workflow links

Path Parameters

name string required Example: f13

name parameter

Headers

Accept Example
Content-Type Example

Body

required
application/json
action string · enum required · Example: upload
download
upload
contentType string · Example: application/pdf
key string required · Example: Avi__2791887.pdf

Responses

200
data object required
data.expiresIn integer required · Example: 900
data.url string required · Example: https://s3.hostup.se/f13/example.pdf?X-Amz-Algorithm=YOUR_TOKEN&X-Amz-Content-Sha256=YO...
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/object-storage/buckets/{name}/presign
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/object-storage/buckets/f13/presign" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "Avi__2791887.pdf",
    "action": "upload",
    "contentType": "application/pdf"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "url": "https://s3.hostup.se/f13/example.pdf?X-Amz-Algorithm=YOUR_TOKEN&X-Amz-Content-Sha256=YOUR_TOKEN&X-Amz-Credential=YOUR_TOKEN&X-Amz-Date=YOUR_TOKEN&X-Amz-Expires=YOUR_TOKEN&X-Amz-Signature=YOUR_TOKEN&X-Amz-SignedHeaders=YOUR_TOKEN&x-id=PutObject",
    "expiresIn": 900
  }
}
Request Body upload
{
  "key": "Avi__2791887.pdf",
  "action": "upload",
  "contentType": "application/pdf"
}